## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v0
/contract-subscription
/{id}

Try it

Get a contract subscription by id

### cURL

```bash
curl --request GET \
  --url https://demo-api.gable.ai/v0/contract-subscription/{id} \
  --header 'X-API-KEY: <api-key>'
```

### Python

```python
import requests

url = "https://demo-api.gable.ai/v0/contract-subscription/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript Fetch

```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/contract-subscription/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- **200**
- **404**
- **500**

### Example Response

```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "githubHandle": "<string>",
  "slackChannel": "<string>"
}
```

#### Authorizations

- **X-API-KEY**
  - Type: string
  - In: header
  - Required: true

#### Path Parameters

- **id**
  - Type: string<uuid>
  - Required: true
  - Description: The UUID of the contract

#### Response Schema

- **200** `application/json`  
  Details of a contract subscription

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```
